javax.jnlp

## Interface IntegrationService

-     public interface IntegrationService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasAssociation(java.lang.String mimeType, java.lang.String[] extensions)`
    `boolean` | `hasDesktopShortcut()`
    `boolean` | `hasMenuShortcut()`
    `boolean` | `removeAssociation(java.lang.String mimeType, java.lang.String[] extensions)`
    `boolean` | `removeShortcuts()`
    `boolean` | `requestAssociation(java.lang.String mimeType, java.lang.String[] extensions)`
    `boolean` | `requestShortcut(boolean onDesktop, boolean inMenu, java.lang.String subMenu)`

- - ### Method Detail

    - #### hasAssociation

          boolean hasAssociation(java.lang.String mimeType,
                                 java.lang.String[] extensions)

    - #### hasDesktopShortcut

          boolean hasDesktopShortcut()

    - #### hasMenuShortcut

          boolean hasMenuShortcut()

    - #### removeAssociation

          boolean removeAssociation(java.lang.String mimeType,
                                    java.lang.String[] extensions)

    - #### removeShortcuts

          boolean removeShortcuts()

    - #### requestAssociation

          boolean requestAssociation(java.lang.String mimeType,
                                     java.lang.String[] extensions)

    - #### requestShortcut

          boolean requestShortcut(boolean onDesktop,
                                  boolean inMenu,
                                  java.lang.String subMenu)

Submit a bug or feature